Loading...
Searching...
No Matches
ExternalDocumentationObject Class Reference

Allows referencing an external resource for extended documentation. More...

Inherits ObjectBase.

## Public Member Functions

| constructor (hash< auto > oh)
| Constructor.

## Public Attributes

*string | desc
| A short description of the target documentation. GFM syntax can be used for rich text representation.
string | url
| Required. The URL for the target documentation. Value MUST be in the format of a URL.

## Detailed Description

Allows referencing an external resource for extended documentation.

## Member Function Documentation

## constructor()

ExternalDocumentationObject::constructor | ( | hash< auto > | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description providing a reference to external documentation

Exceptions

  INVALID-FIELD-TYPE | field has invalid type
  REQUIRED-FIELD-MISSING | required field is missing